import { Issue } from './shared-types';
/**
 * An error thrown if parsing failed. Custom checkers and transformers can throw this error to notify that the operation
 * has failed.
 */
export declare class ValidationError extends Error {
    /**
     * The list of issues that caused the error.
     */
    issues: Issue[];
    /**
     * Creates a new {@linkcode ValidationError} instance.
     *
     * @param issues The mutable list of partially defined issues that have caused an error.
     */
    constructor(issues: Partial<Issue>[]);
}
export declare function inflateIssue(issue: Partial<Issue>): void;
