import { AnyShape, ArrayShape } from '../shapes';
import { Message, TypeConstraintOptions } from '../shared-types';
/**
 * Creates the unconstrained array shape.
 *
 * @param options The constraint options or an issue message.
 */
export declare function array(options?: TypeConstraintOptions | Message): ArrayShape<null, null>;
/**
 * Creates the array shape with elements that conform the element shape.
 *
 * @param shape The shape of an array element.
 * @param options The constraint options or an issue message.
 * @template S The shape of array elements.
 */
export declare function array<S extends AnyShape | null>(shape: S, options?: TypeConstraintOptions | Message): ArrayShape<null, S>;
