import { AnyShape, LazyShape } from '../shapes';
/**
 * Creates the sync lazy-loaded shape.
 *
 * @param provider The provider that returns the base shape.
 */
export declare function lazy<S extends AnyShape>(provider: () => S): LazyShape<S>;
/**
 * Creates the sync lazy-loaded shape that only supports async parsing.
 *
 * @param provider The provider that returns the base shape.
 */
export declare function lazyAsync<S extends AnyShape>(provider: () => S): LazyShape<S>;
