import { LazyShape } from '../shapes';
/**
 * Creates the sync lazy-loaded shape.
 *
 * @param provider The provider that returns the base shape.
 */
export function lazy(provider) {
    return new LazyShape(provider, false);
}
/**
 * Creates the sync lazy-loaded shape that only supports async parsing.
 *
 * @param provider The provider that returns the base shape.
 */
export function lazyAsync(provider) {
    return new LazyShape(provider, true);
}
