import { ParseOptions } from '../shared-types';
import { Shape } from '../shapes';
/**
 * Synchronously preprocesses the input value.
 *
 * @param cb The callback that processes the input value.
 * @template I The input value.
 * @template O The output value.
 */
export declare function preprocess<I = any, O = any>(cb: (input: I, options: Readonly<ParseOptions>) => O): Shape<I, O>;
/**
 * Asynchronously preprocesses the input value.
 *
 * @param cb The callback that processes the input value.
 * @template I The input value.
 * @template O The output value.
 */
export declare function preprocessAsync<I = any, O = any>(cb: (input: I, options: Readonly<ParseOptions>) => Promise<O>): Shape<I, O>;
