import { Shape } from '../shapes';
/**
 * Synchronously preprocesses the input value.
 *
 * @param cb The callback that processes the input value.
 * @template I The input value.
 * @template O The output value.
 */
export function preprocess(cb) {
    return new Shape().transform(cb);
}
/**
 * Asynchronously preprocesses the input value.
 *
 * @param cb The callback that processes the input value.
 * @template I The input value.
 * @template O The output value.
 */
export function preprocessAsync(cb) {
    return new Shape().transformAsync(cb);
}
