import { AnyShape, RecordShape, Shape } from '../shapes';
import { Message, TypeConstraintOptions } from '../shared-types';
/**
 * Creates a shape that describes an object with string keys and values that conform the given shape.
 *
 * @param valueShape The shape of the record values.
 * @param options The constraint options or an issue message.
 * @template V The value shape.
 */
export declare function record<V extends AnyShape>(valueShape: V, options?: TypeConstraintOptions | Message): RecordShape<null, V>;
/**
 * Creates a shape that describes an object with string keys and values that conform the given shape.
 *
 * @param keyShape The shape of record keys.
 * @param valueShape The shape of the record values.
 * @param options The constraint options or an issue message.
 * @template K The key shape.
 * @template V The value shape.
 */
export declare function record<K extends Shape<string, PropertyKey>, V extends AnyShape>(keyShape: K, valueShape: V, options?: TypeConstraintOptions | Message): RecordShape<K, V>;
