import { __extends } from "tslib";
import { Shape } from './Shape';
import { bigintTypes, createIssueFactory } from '../utils';
import { CODE_TYPE, MESSAGE_BIGINT_TYPE, TYPE_BIGINT } from '../constants';
/**
 * The shape of the bigint value.
 */
var BigIntShape = /** @class */ (function (_super) {
    __extends(BigIntShape, _super);
    /**
     * Creates a new {@linkcode BigIntShape} instance.
     *
     * @param options The type constraint options or the type issue message.
     */
    function BigIntShape(options) {
        var _this = _super.call(this, bigintTypes) || this;
        _this._issueFactory = createIssueFactory(CODE_TYPE, MESSAGE_BIGINT_TYPE, options, TYPE_BIGINT);
        return _this;
    }
    BigIntShape.prototype.apply = function (input, options) {
        var _applyChecks = this._applyChecks;
        if (typeof input !== 'bigint') {
            return [this._issueFactory(input, options)];
        }
        if (_applyChecks !== null) {
            return _applyChecks(input, null, options);
        }
        return null;
    };
    return BigIntShape;
}(Shape));
export { BigIntShape };
