import { Shape } from './Shape';
import { ApplyResult, Message, ParseOptions, TypeConstraintOptions } from '../shared-types';
/**
 * The shape of the bigint value.
 */
export declare class BooleanShape extends Shape<boolean> {
    protected _issueFactory: (input: unknown, options: Readonly<ParseOptions>) => import("../shared-types").Issue;
    /**
     * Creates a new {@linkcode BooleanShape} instance.
     *
     * @param options The type constraint options or the type issue message.
     */
    constructor(options?: TypeConstraintOptions | Message);
    apply(input: unknown, options: ParseOptions): ApplyResult<boolean>;
}
