import { Shape } from './Shape';
import { ApplyResult, Message, ParseOptions, TypeConstraintOptions } from '../shared-types';
/**
 * The shape that constrains an input to one of values.
 *
 * @template T Allowed values.
 */
export declare class EnumShape<T> extends Shape<T> {
    readonly values: readonly T[];
    protected _issueFactory: (input: unknown, options: Readonly<ParseOptions>) => import("../shared-types").Issue;
    /**
     * Creates a new {@linkcode EnumShape} instance.
     *
     * @param values The list of values allowed for the input.
     * @param options The type constraint options or an issue message.
     */
    constructor(values: readonly T[], options?: TypeConstraintOptions | Message);
    apply(input: any, options: ParseOptions): ApplyResult<T>;
}
