import { AnyShape, Shape } from './Shape';
import { InferUnion } from './UnionShape';
import { ApplyResult, Issue, Message, ParseOptions, TypeConstraintOptions } from '../shared-types';
export declare type InferIntersection<U extends readonly AnyShape[], C extends 'input' | 'output'> = UnionToIntersection<InferUnion<U, C>>;
export declare type UnionToIntersection<U> = (U extends any ? (k: U) => void : never) extends (k: infer I) => void ? I : never;
export declare class IntersectionShape<U extends readonly AnyShape[]> extends Shape<InferIntersection<U, 'input'>, InferIntersection<U, 'output'>> {
    readonly shapes: U;
    protected _issueFactory: (input: unknown, options: Readonly<ParseOptions>) => Issue;
    constructor(shapes: U, options?: TypeConstraintOptions | Message);
    apply(input: unknown, options: ParseOptions): ApplyResult<InferIntersection<U, 'output'>>;
    applyAsync(input: unknown, options: ParseOptions): Promise<ApplyResult<InferIntersection<U, 'output'>>>;
}
