import { Shape } from './Shape';
import { ApplyResult, Message, ParseOptions, TypeConstraintOptions } from '../shared-types';
/**
 * The shape that doesn't match any input.
 */
export declare class NeverShape extends Shape<never> {
    protected _issueFactory: (input: unknown, options: Readonly<ParseOptions>) => import("../shared-types").Issue;
    /**
     * Creates a new {@linkcode NeverShape} instance.
     *
     * @param options The type constraint options or the type issue message.
     */
    constructor(options?: TypeConstraintOptions | Message);
    apply(input: unknown, options: ParseOptions): ApplyResult<never>;
}
