import { __extends } from "tslib";
import { Shape } from './Shape';
import { createIssueFactory, neverTypes } from '../utils';
import { CODE_NEVER, MESSAGE_NEVER } from '../constants';
/**
 * The shape that doesn't match any input.
 */
var NeverShape = /** @class */ (function (_super) {
    __extends(NeverShape, _super);
    /**
     * Creates a new {@linkcode NeverShape} instance.
     *
     * @param options The type constraint options or the type issue message.
     */
    function NeverShape(options) {
        var _this = _super.call(this, neverTypes) || this;
        _this._issueFactory = createIssueFactory(CODE_NEVER, MESSAGE_NEVER, options, undefined);
        return _this;
    }
    NeverShape.prototype.apply = function (input, options) {
        return [this._issueFactory(input, options)];
    };
    return NeverShape;
}(Shape));
export { NeverShape };
